Subject: Re: [PATCHv3 1/8] Introduce commit notes

From: Johan Herland <[email-masked]>
Date: Thu, 30 Jul 2009 02:50:03 +0200

On Wednesday 29 July 2009, Johannes Schindelin wrote:
> On Wed, 29 Jul 2009, Alex Riesen wrote:
> > On Wed, Jul 29, 2009 at 04:25, Johan Herland<[email-masked]> wrote:
> > > @@ -963,5 +964,9 @@ void pretty_print_commit(enum cmit_fmt fmt, const
> > > struct commit *commit, +
> > > +       if (fmt != CMIT_FMT_ONELINE)
> > > +               get_commit_notes(commit, sb, encoding);
> > > +
> >
> > Someday we will need a way to switch off the display of notes
> > without resolving to oneline format.
> > Is there a notes specifier for the printf-like log message formatting
> > (--pretty=format: or --format) planned, BTW?
>
> That would probably be something like "GIT_NOTES_REF=nyanyanya git log"?

Yes, that works, although I suspect some users will prefer a command-line
argument instead.

Nonetheless, I think it makes sense to add a notes specifier to be used in 
--pretty/--format.

I'll try to remember to look into this later, but I'll be grateful if 
someone gets to it before me.

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net